import { ContentsAPI, TDriveMethod, TDriveRequest, TDriveResponse } from '@jupyterlite/contents';
import { IPyodideWorkerKernel } from './tokens';
import { PyodideRemoteKernel } from './worker';
/**
 * An Emscripten-compatible synchronous Contents API using shared array buffers.
 */
export declare class SharedBufferContentsAPI extends ContentsAPI {
    request<T extends TDriveMethod>(data: TDriveRequest<T>): TDriveResponse<T>;
}
export declare class PyodideCoincidentKernel extends PyodideRemoteKernel {
    /**
     * Setup custom Emscripten FileSystem
     */
    protected initFilesystem(options: IPyodideWorkerKernel.IOptions): Promise<void>;
    protected sendInputRequest(prompt: string, password: boolean): string | undefined;
}
